<?php



add_filter( 'ot_show_pages', '__return_false' );
add_filter( 'ot_show_new_layout', '__return_false' );

function qcld_pd_remove_ot_menu () {
    //remove_submenu_page( 'themes.php', 'ot-theme-options' );
}
add_action( 'admin_init', 'qcld_pd_remove_ot_menu' );

add_filter( 'ot_header_version_text', 'pd_ot_version_text_custom' );

function pd_ot_version_text_custom()
{
	$text = 'Developed by <a href="http://www.quantumcloud.com" target="_blank">Web Design Company - QuantumCloud</a>';
	
	return $text;
}

/**
 * Hook to register admin pages 
 */
add_action( 'init', 'pd_register_options_pages' );

/**
 * Registers all the required admin pages.
 */

function pd_register_options_pages() {

  // Only execute in admin & if OT is installed
  if ( is_admin() && function_exists( 'ot_register_settings' ) ) {

  	$sbd_settings_option_sections = apply_filters('sbd_settings_option_sections', array(
			  	  array(
			        'id'          => 'general',
			        'title'       => __( 'Settings', 'theme-text-domain' )
			      ),
				  array(
			        'id'          => 'frontend',
			        'title'       => __( 'Frontend Submission', 'theme-text-domain' )
			      ),
				   array(
			        'id'          => 'claim_listing',
			        'title'       => __( 'Claim Listing', 'theme-text-domain' )
			      ),
				  array(
			        'id'          => 'payment',
			        'title'       => __( 'Payment Method', 'theme-text-domain' )
			      ),
			      array(
			        'id'          => 'bookmark',
			        'title'       => __( 'Favorite Settings', 'theme-text-domain' )
			      ),
				  array(
			        'id'          => 'language',
			        'title'       => __( 'Language Settings', 'theme-text-domain' )
			      ),
				  array(
			        'id'          => 'email_language',
			        'title'       => __( 'Email Language Settings', 'theme-text-domain' )
			      ),
				   array(
			        'id'          => 'multipage',
			        'title'       => __( 'Multipage Settings', 'theme-text-domain' )
			      ),
				  array(
			        'id'          => 'icon_settings',
			        'title'       => __( 'Icon Settings', 'theme-text-domain' )
			      ),
				  array(
			        'id'          => 'extrafield',
			        'title'       => __( 'Extra Field Settings', 'theme-text-domain' )
			      ),
				  array(
			        'id'          => 'custom_css',
			        'title'       => __( 'Custom CSS', 'theme-text-domain' )
			      ),
				  array(
			        'id'          => 'custom_js',
			        'title'       => __( 'Custom Javascript', 'theme-text-domain' )
			      ),
			      array(
			        'id'          => 'field_access',
			        'title'       => __( 'Field Access', 'theme-text-domain' )
			      ),
				)
			);

	$sbd_settings_option =  apply_filters( 'sbd_settings_option', array(
			    array(
				    'label'       => __('SBD Admin Email'),
				    'id'          => 'pd_admin_email',
				    'type'        => 'text',
				    'desc'        => __('Please provide a valid email address.'),
				    'std'         => '',
				    'rows'        => '',
				    'post_type'   => '',
				    'taxonomy'    => '',
				    'class'       => '',
				    'section'     => 'general'
			    ),
				array(
					'label'       => __('Listing Contact Form Email Send to SBD Admin Also'),
					'id'          => 'pd_enable_admin_email_also',
					'type'        => 'on-off',
					'desc'        => __('Admin will receive a copy of email when visitors trying to contact with listing owner via email contact form.'),
					'std'         => 'off',
					'rows'        => '',
					'post_type'   => '',
					'taxonomy'    => '',
					'class'       => '',
					'section'     => 'general'
				),
				array(
					'label'       => __('Disable Email to Listing Owners for Non Logged in users'),
					'id'          => 'pd_disallow_send_listing_email',
					'type'        => 'on-off',
					'std'         => 'off',
					'rows'        => '',
					'post_type'   => '',
					'taxonomy'    => '',
					'class'       => '',
					'section'     => 'general'
				),
				array(
					'label'       => __('Google Map Api Key'),
					'id'          => 'pd_map_api_key',
					'type'        => 'text',
					'desc'        => __('<span style="color:red">Google Map API key is Required for map to work. You can get a google map api key from here <a href="https://developers.google.com/maps/documentation/geocoding/get-api-key">https://developers.google.com/maps/documentation/geocoding/get-api-key</a>.</span> <br /><br /><span style="color:red">Please check our <a href="'.admin_url('edit.php?post_type=pd&page=qcld_sbd_help_license#google-api-hint').'">Help section</a> for how to set up the Google Map API. Or, you can select OpenStreetMap without any API key.</span>'),
					'std'         => '',
					'rows'        => '',
					'post_type'   => '',
					'taxonomy'    => '',
					'class'       => '',
					'section'     => 'general'
				),
				array(
					'label'       => __('Use OpenStreetMap instead of Google Map'),
					'id'          => 'pd_map_open_street_map',
					'type'        => 'on-off',
					'desc'        => __( 'Select if you want to use OpenStreetMap instead of Google Map. Note that OpenStreetMap has less data and locations. So some addresses may not be found there. You can insert Latitudes and Longitudes manually for them.', 'text-domain' ),
					'std'         => 'off',
					'rows'        => '',
					'post_type'   => '',
					'taxonomy'    => '',
					'class'       => '',
					'section'     => 'general'
				),
				array(
					'label'       => __('Enable Privacy Policy Acceptance Before Loading Map'),
					'id'          => 'pd_map_privacy_policies',
					'type'        => 'on-off',
					'desc'        => __( 'Enable this option to accept Privacy policy before loading the map. You can change the Language and Link from Language Settings.', 'text-domain' ),
					'std'         => 'off',
					'rows'        => '',
					'post_type'   => '',
					'taxonomy'    => '',
					'class'       => '',
					'section'     => 'general'
				),
				array(
					'id'          => 'pd_use_global_font',
					'label'       => __( 'Select Font Setting', 'text-domain' ),
					'desc'        => __( '', 'text-domain' ),
					'type'        => 'select',
					'section'     => 'general',
					'choices'     => array( 
							array(
								'value'       => 'no',
								'label'       => __( 'Theme Font', 'text-domain' ),
							),
							array(
								'value'       => 'yes',
								'label'       => __( 'Custom Font', 'text-domain' ),
							),
						),
					'default'	=> 'yes'
					
				),

			array(
				'label'       => __('Google Font API Key'),
				'id'          => 'pd_google_font_api',
				'type'        => 'text',
				'desc'        => __('<span style="color: red">You must enter Google Font API Key to use google fonts</span>'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general',
				'condition' => 'pd_use_global_font:is(yes)'
			),

			array(
				'label'       => __('Custom Font'),
				'id'          => 'pd_global_font',
				'type'        => 'google-fonts',
				'desc'        => __('You have to select Custom Font from Font setting, Otherwise change will not take place.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general',
				'condition' => 'pd_use_global_font:is(yes)'
			),
			array(
				'label'       => __('Enable Top Area'),
				'id'          => 'pd_enable_top_part',
				'type'        => 'on-off',
				'desc'        => __('Top Area includes Live Search, Add a Item, Share Button.'),
				'std'         => 'on',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Enable Live Search'),
				'id'          => 'pd_enable_search',
				'type'        => 'on-off',
				'desc'        => __('Live search through directory items.'),
				'std'         => 'on',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Enable Search Autocomplete '),
				'id'          => 'pd_enable_autocomplete_search',
				'type'        => 'on-off',
				'desc'        => __('Frontend Search will work with Autocomplete'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Default Map Height (in px)'),
				'id'          => 'sbd_map_height',
				'type'        => 'text',
				'desc'        => __('Please provide the default height for map. Ex: 500px'),
				'std'         => '450px',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Default Map Latitute'),
				'id'          => 'sbd_map_lat',
				'type'        => 'text',
				'desc'        => __('Please provide the latitute for the default place of your map. You can find Latitute from <a href="https://www.latlong.net/" target="_blank">here</a>.'),
				'std'         => '37.090240',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Default Map Longitute'),
				'id'          => 'sbd_map_long',
				'type'        => 'text',
				'desc'        => __('Please provide the longitute for the default place of your map. You can find longitute from <a href="https://www.latlong.net/" target="_blank">here</a>.'),
				'std'         => '-95.712891',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Default Map Zoom'),
				'id'          => 'sbd_map_zoom',
				'type'        => 'text',
				'desc'        => __('Only supports value integer. EX: 13'),
				'std'         => '13',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Pop-up Map Zoom'),
				'id'          => 'sbd_popup_map_zoom',
				'type'        => 'text',
				'desc'        => __('Only supports value integer. EX: 13'),
				'std'         => '13',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Display All Markers on Map'),
				'id'          => 'sbd_map_fitbounds',
				'type'        => 'on-off',
				'desc'        => __(' <strong style="color: red;">Zoom and Latitude, Longitude from settings will not work if there are multiple items from different locations. Google Map will always try to load all available markers in view if this option is enable.</strong>'),
				'std'         => 'on',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Enable Distance Search'),
				'id'          => 'sbd_enable_distant_search',
				'type'        => 'on-off',
				'desc'        => __('Distance search through directory items.'),
				'std'         => 'on',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Combine Distance, Tag, Live Search'),
				'id'          => 'sbd_combine_distant_tag_live_search',
				'type'        => 'on-off',
				'desc'        => __('Combine Distance, Tag, Live Search together.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Inclusive Tag Filter'),
				'id'          => 'inclusive_tag_filter',
				'type'        => 'on-off',
				'desc'        => __('listings with all selected tags. Use and relation when select multiple tags'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			
			array(
				'label'       => __('Enable Current Location'),
				'id'          => 'sbd_enable_current_location',
				'type'        => 'on-off',
				'desc'        => __('<span style="color:red">Current Location option will display right below the Location field. In order to detect the current location site must be in secure origin with SSL installed (https://).</span>'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general',
				'condition' => 'sbd_enable_distant_search:is(on)'
			),
			array(
				'label'       => __('Radius Circle Color'),
				'id'          => 'sbd_radius_circle_color',
				'type'        => 'colorpicker',
				'desc'        => __(''),
				
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general',
				'condition' => 'sbd_enable_distant_search:is(on)'
			),
			
			array(
				'label'       => __('Enable Direction'),
				'id'          => 'sbd_enable_direction',
				'type'        => 'on-off',
				'desc'        => __('Site protocol must should be https:// to use this feature.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			
			array(
					'id'          => 'pd_distance_unit',
					'label'       => __( 'Default Distance Unit', 'text-domain' ),
					'desc'        => __( '', 'text-domain' ),
					'type'        => 'select',
					'section'     => 'general',
					'choices'     => array( 
							array(
								'value'       => 'miles',
								'label'       => __( 'Miles', 'text-domain' ),
							),
							array(
								'value'       => 'km',
								'label'       => __( 'KM', 'text-domain' ),
							),
						),
					'default'	=> 'miles',
					'condition' => 'sbd_enable_distant_search:is(on)',
					
				),
			
			
			array(
					'id'          => 'pd_filter_ptype',
					'label'       => __( 'Filter Button Presentation Style', 'text-domain' ),
					'desc'        => __( '', 'text-domain' ),
					'type'        => 'select',
					'section'     => 'general',
					'choices'     => array( 
							array(
								'value'       => 'normal',
								'label'       => __( 'Normal Buttons', 'text-domain' ),
							),
							array(
								'value'       => 'carousel',
								'label'       => __( 'Carousel', 'text-domain' ),
							),
						),
					'default'	=> 'yes'
					
				),

			array(
				'label'       => __('Enable List Filtering at Top Position'),
				'id'          => 'pd_enable_filtering',
				'type'        => 'on-off',
				'desc'        => __(''),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),

			    array(
				    'label'       => __('Enable List Filtering at Left Position'),
				    'id'          => 'pd_enable_filtering_left',
				    'type'        => 'on-off',
				    'desc'        => __(''),
				    'std'         => 'off',
				    'rows'        => '',
				    'post_type'   => '',
				    'taxonomy'    => '',
				    'class'       => '',
				    'section'     => 'general'
			    ),

			array(
				'label'       => __('Enable RTL Direction'),
				'id'          => 'pd_enable_rtl',
				'type'        => 'on-off',
				'desc'        => __('If you make this option ON, then list heading and list items will be arranged in Right-to-Left direction.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Enable Embed List Button on Listing Pages'),
				'id'          => 'pd_enable_embed_list',
				'type'        => 'on-off',
				'desc'        => __('Enable embed link button to generate iFrame embed code for particular list.'),
				'std'         => 'on',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			
			
			array(
				'label'       => __('Embed Credit Title'),
				'id'          => 'pd_embed_credit_title',
				'type'        => 'text',
				'desc'        => __('This text will be displayed below embedded list in other sites.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Embed Credit Link'),
				'id'          => 'pd_embed_credit_link',
				'type'        => 'text',
				'desc'        => __('This text will be displayed below embedded list in other sites.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Track Outbound Clicks'),
				'id'          => 'pd_enable_click_tracking',
				'type'        => 'on-off',
				'desc'        => __('You need to have the analytics.js [<a href="https://support.google.com/analytics/answer/1008080#GA" target="_blank">Analytics tracking code in every page of your site</a>].'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Enable Upvote Option in Widgets'),
				'id'          => 'pd_enable_widget_upvote',
				'type'        => 'on-off',
				'desc'        => __('Allow users to upvote items using widgets.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Widget Items Link to Listing Details in Multi-Page Mode'),
				'id'          => 'pd_widget_link_multipage',
				'type'        => 'on-off',
				'desc'        => __('widget items link to listing details in multi-page mode.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			    array(
				    'id'          => 'pd_use_global_thumbs_up',
				    'label'       => __( 'Select Upvote Icon', 'text-domain' ),
				    'desc'        => __( '', 'text-domain' ),
				    'type'        => 'select',
				    'section'     => 'general',
				    'choices'     => array(
					    array(
						    'value'       => 'fa-thumbs-up',
						    'label'       => __( 'Thumbs Up', 'text-domain' ),
					    ),
					    array(
						    'value'       => 'fa-heart',
						    'label'       => __( 'Heart', 'text-domain' ),
					    ),
					    array(
						    'value'       => 'fa-smile-o',
						    'label'       => __( 'Smile Face', 'text-domain' ),
					    ),
					    array(
						    'value'       => 'fa-fire',
						    'label'       => __( 'Fire', 'text-domain' ),
					    ),
					    array(
						    'value'       => 'fa-star',
						    'label'       => __( 'Star', 'text-domain' ),
					    ),

				    ),
				    'default'	=> 'yes'

			    ),
			array(
				'label'       => __('Enable Scroll to Top Button'),
				'id'          => 'pd_enable_scroll_to_top',
				'type'        => 'on-off',
				'desc'        => __('Show Scroll to Top.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Automatic Remove Duplicate List Item'),
				'id'          => 'pd_auto_remove_dup_item',
				'type'        => 'on-off',
				'desc'        => __('Enable to automatic remove duplicate list item.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Mark as New Item will Expire after (XXX Days). Ex: 30'),
				'id'          => 'sbd_new_expire_after',
				'type'        => 'text',
				'desc'        => __('Mark as new item will automatic expire after choosen days. This field only accept integer as day. EX: 30. If you do not want any expiration of Mark as new item just leave this field empty.'),
				'section'     => 'general'
				
			),
			array(
				'label'       => __('Global Marker Image'),
				'id'          => 'sbd_global_marker_image',
				'type'        => 'upload',
				'desc'        => __('Upload global marker image.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Paid Items Marker Image'),
				'id'          => 'sbd_paid_marker_image',
				'type'        => 'upload',
				'desc'        => __('Upload Paid Items marker image.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Custom Marker Image Width'),
				'id'          => 'sbd_custom_marker_image_width',
				'type'        => 'text',
				// 'desc'        => __('Upload Paid Items marker image.'),
				'std'         => '30',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Custom Marker Image Height'),
				'id'          => 'sbd_custom_marker_image_height',
				'type'        => 'text',
				// 'desc'        => __('Upload Paid Items marker image.'),
				'std'         => '30',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Show Landmarks on Map'),
				'id'          => 'pd_enable_landmarks',
				'type'        => 'on-off',
				'desc'        => __('Show Landmarks on Google Map such as (park, church etc).'),
				'std'         => 'on',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Enable Google Map Address/Phone Clickable'),
				'id'          => 'pd_enable_map_addr_phone_clickable',
				'type'        => 'on-off',
				// 'desc'        => __('Show Landmarks on Google Map such as (park, church etc).'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Enable AutoPan on Marker hover'),
				'id'          => 'pd_enable_map_autopan',
				'type'        => 'on-off',
				// 'desc'        => __('Show Landmarks on Google Map such as (park, church etc).'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Enable Tag Filter Dropdown on Mobile'),
				'id'          => 'pd_enable_tag_filter_dropdown_mobile',
				'type'        => 'on-off',
				// 'desc'        => __('Show Landmarks on Google Map such as (park, church etc).'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Enable List Filter Dropdown on Desktop'),
				'id'          => 'pd_enable_list_filter_dropdown_desktop',
				'type'        => 'on-off',
				// 'desc'        => __('Show Landmarks on Google Map such as (park, church etc).'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Enable List Filter Dropdown on Mobile'),
				'id'          => 'pd_enable_list_filter_dropdown_mobile',
				'type'        => 'on-off',
				// 'desc'        => __('Show Landmarks on Google Map such as (park, church etc).'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Display Claim Badge'),
				'id'          => 'pd_enable_claim_badge',
				'type'        => 'on-off',
				// 'desc'        => __('Show Landmarks on Google Map such as (park, church etc).'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Enable Mailto instead of Popup contact form'),
				'id'          => 'pd_enable_mailto_send_email',
				'type'        => 'on-off',
				'desc'        => __('Click to Send Email button use mailto instead of Popup contact form'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
			array(
				'label'       => __('Global search icon'),
				'id'          => 'pd_global_search_icon',
				'type'        => 'text',
				'desc'        => __('This icon will be displayed global search icon'),
				'std'         => 'fa-search',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'general'
			),
		    array(
			    'id'          => 'pd_list_image_size',
			    'label'       => __( 'List Image Size', 'text-domain' ),
			    'desc'        => __( '', 'text-domain' ),
			    'type'        => 'select',
			    'section'     => 'general',
			    'choices'     => array(
				    array(
					    'value'       => 'thumbnail',
					    'label'       => __( 'Thumbnail', 'text-domain' ),
				    ),
				    array(
					    'value'       => 'medium',
					    'label'       => __( 'Medium', 'text-domain' ),
				    ),
				    array(
					    'value'       => 'large',
					    'label'       => __( 'Large', 'text-domain' ),
				    )

			    ),
			    'default'	=> 'yes'

		    ),

			


			//Code for frontend section//
			array(
				'label'       => __('Enable Frontend Submission'),
				'id'          => 'pd_enable_add_new_item',
				'type'        => 'on-off',
				'desc'        => __('<span style="color:red;font-weight:bold">For front end submission to work you need to create 4 different pages and paste the following short code in each page: [sbd_login], [sbd_registration], [sbd_dashboard] & [sbd_restore] </span><br><br> <div id="pd_page_check"></div> '),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend'
			),
			array(
				'label'       => __('Enable Add New Button'),
				'id'          => 'pd_enable_add_new',
				'type'        => 'on-off',
				'desc'        => __('<span style="color:red;font-weight:bold">For front end submission to work you need to create 4 different pages and paste the following short code in each page: [sbd_login], [sbd_registration], [sbd_dashboard] & [sbd_restore] </span><br><br> <div id="pd_page_check"></div> '),
				'std'         => 'on',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			    array(
				    'label'       => __('Enable Free Frontend Submission'),
				    'id'          => 'pd_enable_free_submission',
				    'type'        => 'on-off',
				    'desc'        => __('Allow user to submit their items free of cost.'),
				    'std'         => 'off',
				    'rows'        => '',
				    'post_type'   => '',
				    'taxonomy'    => '',
				    'class'       => '',
				    'section'     => 'frontend',
				    'condition' => 'pd_enable_add_new_item:is(on)',
			    ),
			    array(
				    'label'       => __('Free Submission Limit'),
				    'id'          => 'pd_free_item_limit',
				    'type'        => 'text',
				    'desc'        => __('Enter your limit amount. EX:10.'),
				    'std'         => '10',
				    'rows'        => '',
				    'post_type'   => '',
				    'taxonomy'    => '',
				    'class'       => '',
				    'section'     => 'frontend',
				    'condition' => 'pd_enable_free_submission:is(on),pd_enable_add_new_item:is(on)',

			    ),
			    /*array(
				    'label'       => __('Enable Package for Frontend Submission'),
				    'id'          => 'pd_enable_package',
				    'type'        => 'on-off',
				    'desc'        => __('To enable package please make sure that you have setup a package from <a href="'.get_admin_url().'edit.php?post_type=pd&page=qcpd_package">Simple Link Directory/Package</a>.'),
				    'std'         => 'off',
				    'rows'        => '',
				    'post_type'   => '',
				    'taxonomy'    => '',
				    'class'       => '',
				    'section'     => 'frontend',
				    'condition' => 'pd_enable_add_new_item:is(on)',
			    ),*/
			    array(
				    'label'       => __('Enable Email Notification for New Item Submission'),
				    'id'          => 'pd_email_notification',
				    'type'        => 'on-off',
				    'desc'        => __(''),
				    'std'         => 'off',
				    'rows'        => '',
				    'post_type'   => '',
				    'taxonomy'    => '',
				    'class'       => '',
				    'section'     => 'frontend',
				    'condition' => 'pd_enable_add_new_item:is(on)',
			    ),
				array(
				'label'       => __('Mark Paid Item as Featured'),
				'id'          => 'sbd_paid_item_featured',
				'type'        => 'on-off',
				'desc'        => __('Enable to mark paid item as featured.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Show Featured Item at Top'),
				'id'          => 'sbd_featured_item_top',
				'type'        => 'on-off',
				'desc'        => __('Enable to show featured item at top.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('SBD Login Captcha'),
				'id'          => 'pd_enable_sbd_login_captcha',
				'type'        => 'on-off',
				'desc'        => __('Captcha for Simple Business Directory login form.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Registration Captcha'),
				'id'          => 'pd_enable_captcha',
				'type'        => 'on-off',
				'desc'        => __('Captcha for frontend registration form.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Google reCaptcha (reCaptcha V2)'),
				'id'          => 'pd_enable_recaptcha',
				'type'        => 'on-off',
				'desc'        => __('Captcha for frontend registration form, login form. (Using Google reCaptcha V2)'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			
			array(
				    'label'       => __('Site Key'),
				    'id'          => 'pd_recaptcha_site_key',
				    'type'        => 'text',
				    'desc'        => __('Enter your Google reCaptcha Site Key. (Using Google reCaptcha V2)<br><span style="color: red; font-weight: 700">You must fill up this field with a valid Site key to use Google reCaptcha</span>'),
				    'std'         => '',
				    'rows'        => '',
				    'post_type'   => '',
				    'taxonomy'    => '',
				    'class'       => '',
				    'section'     => 'frontend',
				    'condition' => 'pd_enable_recaptcha:is(on)',

			    ),
			array(
				    'label'       => __('Secret Key'),
				    'id'          => 'pd_recaptcha_secret_key',
				    'type'        => 'text',
				    'desc'        => __('Enter your Google reCaptcha Secret Key. (Using Google reCaptcha V2)<br><span style="color: red; font-weight: 700">You must fill up this field with a valid Secret key to use Google reCaptcha</span>'),
				    'std'         => '',
				    'rows'        => '',
				    'post_type'   => '',
				    'taxonomy'    => '',
				    'class'       => '',
				    'section'     => 'frontend',
				    'condition' => 'pd_enable_recaptcha:is(on)',

			    ),

			array(
				'label'       => __('Allow any user to add listing'),
				'id'          => 'pd_enable_anyusers',
				'type'        => 'on-off',
				'desc'        => __('Allow any user to add listing'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),

			array(
				'label'       => __('Prevent user to Delete link'),
				'id'          => 'pd_prevent_user_delete_link',
				'type'        => 'on-off',
				// 'desc'        => __('Allow any logged in user to add link'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),

			    array(
				    'label'       => __('Allow User to Update Profile'),
				    'id'          => 'pd_profile_update',
				    'type'        => 'on-off',
				    'desc'        => __('Allow User to Update their Profile from dashboard.'),
				    'std'         => 'off',
				    'rows'        => '',
				    'post_type'   => '',
				    'taxonomy'    => '',
				    'class'       => '',
				    'section'     => 'frontend',
				    'condition' => 'pd_enable_add_new_item:is(on)',
			    ),
				array(
				    'label'       => __('Enable Text Editor for Long Description Field'),
				    'id'          => 'pd_enable_texteditor',
				    'type'        => 'on-off',
				    'desc'        => __('We are using wordpress default text editor. <span style="color:red">Be aware - By enabling this feature attackers may able to inject javascript for stealing the browser cookie information!!</span>'),
				    'std'         => 'off',
				    'rows'        => '',
				    'post_type'   => '',
				    'taxonomy'    => '',
				    'class'       => '',
				    'section'     => 'frontend',
				    'condition' => 'pd_enable_add_new_item:is(on)',
			    ),

			    array(
				    'label'       => __('Allow User to Upload Image'),
				    'id'          => 'pd_image_upload',
				    'type'        => 'on-off',
				    'desc'        => __('Allow user to upload item image.'),
				    'std'         => 'off',
				    'rows'        => '',
				    'post_type'   => '',
				    'taxonomy'    => '',
				    'class'       => '',
				    'section'     => 'frontend',
				    'condition' => 'pd_enable_add_new_item:is(on)',
			    ),
				
				
				
			    array(
				    'label'       => __('Do Not Allow do-follow Links '),
				    'id'          => 'pd_disable_no_follow',
				    'type'        => 'on-off',
				    'desc'        => __(''),
				    'std'         => 'off',
				    'rows'        => '',
				    'post_type'   => '',
				    'taxonomy'    => '',
				    'class'       => '',
				    'section'     => 'frontend',
				    'condition' => 'pd_enable_add_new_item:is(on)',
			    ),

			array(
				'label'       => __('Auto Approve Registered Users'),
				'id'          => 'pd_enable_user_approval',
				'type'        => 'on-off',
				'desc'        => __('When turned off admin needs to Approve users manually from main WordPress Users.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Auto Approve Item Submission'),
				'id'          => 'pd_enable_auto_approval',
				'type'        => 'on-off',
				'desc'        => __('Auto approval for frontend list submission.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Redirect After Item Submission'),
				'id'          => 'pd_redirect_after_item_approval',
				'type'        => 'page-select',
				'default'	=> 'yes',
				'desc'        => __('Redirect to a page after successful frontend list submission.'),
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => '',
			),
			array(
				'label'       => __('Exclude List By ID'),
				'id'          => 'pd_exclude_list',
				'type'        => 'text',
				'desc'        => __('Exclude list from frontend submission by id. Use comma(,) to seperate multiple ids. EX:102,105'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Exclude List By Category ID'),
				'id'          => 'pd_exclude_category_id',
				'type'        => 'text',
				'desc'        => __('Exclude list from frontend submission by category id. Use comma(,) to seperate multiple ids. EX:102,105'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Remove Category Selection from Add Listing Form'),
				'id'          => 'pd_exclude_category',
				'type'        => 'on-off',
				'desc'        => __('Turn on to remove category selection from Add Listing Form'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Enable Email Notification for Package Expiration'),
				'id'          => 'pd_enable_email_notification_package_expire',
				'type'        => 'on-off',
				'desc'        => __('Enable/Disable Email Notification for Package Expiration'),
				'std'         => 'on',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			
			
			array(
				'id'          => 'pd_logout_redirect',
				'label'       => __( 'User after logout redirect to', 'text-domain' ),
				
				'desc'        => __( 'Please select a page where user redirect after logout.', 'text-domain' ),
				'type'        => 'select',
				'section'     => 'frontend',
				'choices'     => array(
					array(
						'value'       => 'home',
						'label'       => __( 'Home Page', 'text-domain' ),
					),
					array(
						'value'       => 'login',
						'label'       => __( 'Login Page', 'text-domain' ),
					),


				),
				'condition' => 'pd_enable_add_new_item:is(on)',

			),
			
			array(
				'label'       => __('Disable Package from Add Tab'),
				'id'          => 'pd_package_add_tab',
				'type'        => 'on-off',
				'desc'        => __('Enable/Disable Showing Package in Add Tab'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Disable Package from Dashboard'),
				'id'          => 'pd_package_dashboard',
				'type'        => 'on-off',
				'desc'        => __('Enable/Disable Showing Package in Dashboard'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Disable Package Tab from Dashboard'),
				'id'          => 'pd_package_tab',
				'type'        => 'on-off',
				'desc'        => __('Enable/Disable Showing Package Tab in Dashboard'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Disable Add Tab from Dashboard'),
				'id'          => 'pd_package_tab_add',
				'type'        => 'on-off',
				'desc'        => __('Enable/Disable Showing Add Tab in Dashboard'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Disable Claim Tab from Dashboard'),
				'id'          => 'pd_package_tab_claim',
				'type'        => 'on-off',
				'desc'        => __('Enable/Disable Showing Claim Tab in Dashboard'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('No Follow for User Submitted Item'),
				'id'          => 'pd_no_follow',
				'type'        => 'on-off',
				'desc'        => __('Enable/Disable No Follow for User Submitted Item'),
				'std'         => 'on',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Mark "Link" field as "Required"'),
				'id'          => 'mark_link_field_as_required',
				'type'        => 'on-off',
				'desc'        => __('Make the Link field Required on the Frontend Submission Form'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Mark "Listing Subtitle" field as "Required"'),
				'id'          => 'mark_listing_subtitle_field_as_required',
				'type'        => 'on-off',
				'desc'        => __('Make the Listing Subtitle field Required on the Frontend Submission Form'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Mark "Listing Long Description" field as "Required"'),
				'id'          => 'mark_listing_long_description_field_as_required',
				'type'        => 'on-off',
				'desc'        => __('Make the Listing Long Description field Required on the Frontend Submission Form'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Mark "Main Phone Number (For call)" field as "Required"'),
				'id'          => 'mark_listing_main_phone_field_as_required',
				'type'        => 'on-off',
				'desc'        => __('Make the "Main Phone Number (For call)" field Required on the Frontend Submission Form'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Mark "Short Address" field as "Required"'),
				'id'          => 'mark_listing_short_address_field_as_required',
				'type'        => 'on-off',
				'desc'        => __('Make the "Short Address" field Required on the Frontend Submission Form'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Mark "Full Address (For google maps)" field as "Required"'),
				'id'          => 'mark_listing_full_address_field_as_required',
				'type'        => 'on-off',
				'desc'        => __('Make the "Full Address (For google maps)" field Required on the Frontend Submission Form'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Mark "Latitude" field as "Required"'),
				'id'          => 'mark_listing_latitude_field_as_required',
				'type'        => 'on-off',
				'desc'        => __('Make the "Latitude" field Required on the Frontend Submission Form'),
				'std'         => 'on',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Mark "Longitude" field as "Required"'),
				'id'          => 'mark_listing_longitude_field_as_required',
				'type'        => 'on-off',
				'desc'        => __('Make the "Longitude" field Required on the Frontend Submission Form'),
				'std'         => 'on',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Mark "Linkedin/instagram Address" field as "Required"'),
				'id'          => 'mark_listing_linkedin_field_as_required',
				'type'        => 'on-off',
				'desc'        => __('Make the "Linkedin/instagram Address" field Required on the Frontend Submission Form'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Mark "Twitter Address" field as "Required"'),
				'id'          => 'mark_listing_twitter_field_as_required',
				'type'        => 'on-off',
				'desc'        => __('Make the "Twitter Address" field Required on the Frontend Submission Form'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Mark "Email Address" field as "Required"'),
				'id'          => 'mark_listing_email_field_as_required',
				'type'        => 'on-off',
				'desc'        => __('Make the "Email Address" field Required on the Frontend Submission Form'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Mark "Business Hours" field as "Required"'),
				'id'          => 'mark_listing_business_hours_field_as_required',
				'type'        => 'on-off',
				'desc'        => __('Make the "Business Hours" field Required on the Frontend Submission Form'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Mark "Yelp Address" field as "Required"'),
				'id'          => 'mark_listing_yelp_address_field_as_required',
				'type'        => 'on-off',
				'desc'        => __('Make the "Yelp Address" field Required on the Frontend Submission Form'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Mark "Facebook Address" field as "Required"'),
				'id'          => 'mark_listing_fb_address_field_as_required',
				'type'        => 'on-off',
				'desc'        => __('Make the "Facebook Address" field Required on the Frontend Submission Form'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Mark "Tags" field as "Required"'),
				'id'          => 'mark_listing_tags_field_as_required',
				'type'        => 'on-off',
				'desc'        => __('Make the "Tags" field Required on the Frontend Submission Form'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),

			array(
				'label'       => __('Enable Predefined Tag Selection'),
				'id'          => 'enable_predefined_tag_selection',
				'type'        => 'on-off',
				// 'desc'        => __(),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Default Tags'),
				'id'          => 'pd_default_tags',
				'type'        => 'text',
				// 'desc'        => __('<span style="color: red">You must enter Google Font API Key to use google fonts</span>'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(on),enable_predefined_tag_selection:is(on)'
			),
			
			array(
				'label'       => __('Package Expiration Email'),
				'id'          => 'pd_package_expire_email',
				'type'        => 'textarea',
				'desc'        => __('You can edit this email content the way you like. Available Variables: #user_name, #expire_date, #package_name, #create_date'),
				'std'         => '<p>Hi #user_name,</p>
		<p>Your package #package_name has been expired at #expire_date. Please renew your package by login to your dashboard.</p>
		<p>Thanks.</p>',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_email_notification_package_expire:is(on),pd_enable_add_new_item:is(on)',
			),
			array(
				'label'       => __('Enable Paypal payment'),
				'id'          => 'sbd_enable_paypal_payment',
				'type'        => 'on-off',
				'desc'        => __('Enable Paypal as payment gateway'),
				'std'         => 'on',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'payment',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			
			array(
				'label'       => __('Paypal Email Address'),
				'id'          => 'sbd_paypal_email',
				'type'        => 'text',
				'desc'        => __(''),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'payment',
				'condition' => 'sbd_enable_paypal_payment:is(on)',
			),
			array(
				'label'       => __('Enable Paypal Test Mode'),
				'id'          => 'sbd_enable_paypal_test_mode',
				'type'        => 'on-off',
				'desc'        => __('Enable Paypal Test Mode'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'payment',
				'condition' => 'sbd_enable_paypal_payment:is(on)',
			),
			array(
				'label'       => __('Enable Paypal Recurring Payment'),
				'id'          => 'sbd_enable_paypal_recurring',
				'type'        => 'on-off',
				'desc'        => __('Enable Paypal Recurring Payment'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'payment',
				'condition' => 'sbd_enable_paypal_payment:is(on)',
			),
			
			
			array(
				'label'       => __('Enable Stripe payment'),
				'id'          => 'sbd_enable_stripe_payment',
				'type'        => 'on-off',
				'desc'        => __('Enable stripe as payment gateway'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'payment',
				'condition' => 'pd_enable_add_new_item:is(on)',
			),
			
			array(
				'label'       => __('Stripe Secret Key'),
				'id'          => 'sbd_stripe_sectet_key',
				'type'        => 'text',
				'desc'        => __('You can find the Secret key from <a href="https://dashboard.stripe.com/account/apikeys" target="_blank">https://dashboard.stripe.com/account/apikeys</a> after logging in to your stripe dashboard'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'payment',
				'condition' => 'sbd_enable_stripe_payment:is(on)',
			),
			array(
				'label'       => __('Stripe Public Key'),
				'id'          => 'sbd_stripe_public_key',
				'type'        => 'text',
				'desc'        => __('You can find the Public key from <a href="https://dashboard.stripe.com/account/apikeys" target="_blank">https://dashboard.stripe.com/account/apikeys</a> after logging in to your stripe dashboard'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'payment',
				'condition' => 'sbd_enable_stripe_payment:is(on)',
			),
			
			
			array(
				'label'       => __('Link Add New Button to a Page Instead'),
				'id'          => 'pd_add_new_behave',
				'type'        => 'on-off',
				'desc'        => __(''),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_enable_add_new_item:is(off)',
			),
			array(
				'label'       => __('Add Button Link'),
				'id'          => 'pd_add_item_link',
				'type'        => 'text',
				'desc'        => __('Example: http://www.yourdomain.com'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'frontend',
				'condition' => 'pd_add_new_behave:is(on),pd_enable_add_new_item:is(off)'
			),
			
			array(
				'label'       => 'Custom CSS',
				'id'          => 'pd_custom_style',
				'type'        => 'css',
				'desc'        => __('Write your custom CSS here.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'custom_css'
			),
			array(
				'label'       => 'Custom Javascript',
				'id'          => 'pd_custom_js',
				'type'        => 'javascript',
				'desc'        => __('Write your custom javascript here. No need any script tag.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'custom_js'
			),

			array(
				'label'       => 'Snazzy Map JavaScript',
				'id'          => 'pd_snazzymap_js',
				'type'        => 'javascript',
				'desc'        => __('Add <a href="https://snazzymaps.com/" target="_blank">SnazzyMap</a> JS Code here to style the google map.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'custom_js'
			),

		//Bookmark section

		array(
				'label'       => __('Enable Favorite'),
				'id'          => 'pd_enable_bookmark',
				'type'        => 'on-off',
				'desc'        => __(''),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'bookmark'
			),
		array(
				'label'       => __('User Login url'),
				'id'          => 'pd_bookmark_user_login_url',
				'type'        => 'text',
				'desc'        => __(''),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'bookmark'
			),
		array(
				'label'       => __('Favorite List Title'),
				'id'          => 'pd_bookmark_title',
				'type'        => 'text',
				'desc'        => __(''),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'bookmark'
			),
			array(
				'label'       => __('Add Text for Facebook Icon'),
				'id'          => 'pd_facebook_icon_text',
				'type'        => 'text',
				'desc'        => __('You can add text here to replace the facebook icon.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'icon_settings'
			),
			
		array(
				'label'       => __('Popup Message'),
				'id'          => 'pd_bookmark_popup_content',
				'type'        => 'text',
				'desc'        => __('This message will show when login required to add favorite.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'bookmark'
			),
			
			array(
				'label'       => __('List Holder Color'),
				'id'          => 'pd_bookmark_list_holder_color',
				'type'        => 'colorpicker',
				'desc'        => __(''),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'bookmark'
			),
			
			array(
				'label'       => __('Item Background Color'),
				'id'          => 'pd_bookmark_item_background_color',
				'type'        => 'colorpicker',
				'desc'        => __(''),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'bookmark'
			),
			
			array(
				'label'       => __('Item Background Color Hover'),
				'id'          => 'pd_bookmark_item_background_color_hover',
				'type'        => 'colorpicker',
				'desc'        => __(''),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'bookmark'
			),
			
			array(
				'label'       => __('Item Featured Background Color'),
				'id'          => 'pd_bookmark_item_featured_background_color',
				'type'        => 'colorpicker',
				'desc'        => __(''),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'bookmark'
			),
			
			array(
				'label'       => __('Item Text Color'),
				'id'          => 'pd_bookmark_item_text_color',
				'type'        => 'colorpicker',
				'desc'        => __(''),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'bookmark'
			),
			
			array(
				'label'       => __('Item Text Color Hover'),
				'id'          => 'pd_bookmark_item_text_color_hover',
				'type'        => 'colorpicker',
				'desc'        => __(''),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'bookmark'
			),

			array(
				'label'       => __('Item Sub Text Color'),
				'id'          => 'pd_bookmark_item_sub_text_color',
				'type'        => 'colorpicker',
				'desc'        => __(''),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'bookmark'
			),
			
			array(
				'label'       => __('Item Sub Text Color Hover'),
				'id'          => 'pd_bookmark_item_sub_text_color_hover',
				'type'        => 'colorpicker',
				'desc'        => __(''),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'bookmark'
			),
			
			array(
				'label'       => __('Item Border Color'),
				'id'          => 'pd_bookmark_item_border_color',
				'type'        => 'colorpicker',
				'desc'        => __(''),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'bookmark'
			),
			array(
				'label'       => __('Item Border Color Hover'),
				'id'          => 'pd_bookmark_item_border_color_hover',
				'type'        => 'colorpicker',
				'desc'        => __(''),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'bookmark'
			),
			
			array(
				'label'       => __('Add Text for Phone Icon'),
				'id'          => 'pd_phone_icon_text',
				'type'        => 'text',
				'desc'        => __('You can add text here to replace the phone icon in bottom area.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'icon_settings'
			),
			
			array(
				'label'       => __('Add Text for Link Icon'),
				'id'          => 'pd_link_icon_text',
				'type'        => 'text',
				'desc'        => __('You can add text here to replace the link icon in bottom area.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'icon_settings'
			),
			
			array(
				'label'       => __('Add Text for Facebook Icon'),
				'id'          => 'pd_facebook_icon_text',
				'type'        => 'text',
				'desc'        => __('You can add text here to replace the facebook icon in bottom area.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'icon_settings'
			),
			
			array(
				'label'       => __('Add Text for Yelp Icon'),
				'id'          => 'pd_yelp_icon_text',
				'type'        => 'text',
				'desc'        => __('You can add text here to replace the yelp icon in bottom area.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'icon_settings'
			),
			
			array(
				'label'       => __('Add Text for Email Icon'),
				'id'          => 'pd_email_icon_text',
				'type'        => 'text',
				'desc'        => __('You can add text here to replace the email icon in bottom area.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'icon_settings'
			),
			
			array(
				'label'       => __('Add Text for Linkedin Icon'),
				'id'          => 'pd_linkedin_icon_text',
				'type'        => 'text',
				'desc'        => __('You can add text here to replace the linkedin icon in bottom area.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'icon_settings'
			),
			
			array(
				'label'       => __('Add Text for Twitter Icon'),
				'id'          => 'pd_twitter_icon_text',
				'type'        => 'text',
				'desc'        => __('You can add text here to replace the twitter icon in bottom area.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'icon_settings'
			),
			
			array(
				'label'       => __('Add Text for Map Icon'),
				'id'          => 'pd_map_icon_text',
				'type'        => 'text',
				'desc'        => __('You can add text here to replace the map icon in bottom area.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'icon_settings'
			),
			
			array(
				'label'       => __('Add Text for Info Icon'),
				'id'          => 'pd_info_icon_text',
				'type'        => 'text',
				'desc'        => __('You can add text here to replace the info icon in bottom area.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'icon_settings'
			),
			
			array(
				'label'       => __('Enable SBD Multipage'),
				'id'          => 'sbd_enable_multipage',
				'type'        => 'on-off',
				'desc'        => __(''),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'multipage'
				
			),
			array(
				'label'       => __('SBD Multipage'),
				'id'          => 'sbd_text_block_multipage',
				'type'        => 'Textblock',
				'desc'        => __('<p>You must add the following shortcode on a new page first:</p>  <p><span class="qc-sbd-code-box"><strong>[qcpd-directory-multipage]</strong></span></p>  This page will be the base of your directory and show the list categories.<br><br>After adding this shortcode on a page you have to flush WordPress URL rewrite rules. Please go to <b>Settings > Permalinks</b> then click the <b>Save Changes</b> button Or you can click the button below to flush rewrite rules quickly.<br>For multi page directory we suggest uploading custom images. Recommended size 300px by 300px.<div id="sbd_flash_msg"></div><br><button id="sbd_flash_button" class="option-tree-ui-button button button-primary">Flush Rewrite Rules</button> '),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'multipage',
				'condition' => 'sbd_enable_multipage:is(on)',
			),
			array(
				'id'          => 'pd_multipage_template',
				'label'       => __( 'Select Style for Multipage', 'text-domain' ),
				'desc'        => __( '', 'text-domain' ),
				'type'        => 'select',
				'section'     => 'multipage',
				'choices'     => array(
					array(
						'value'       => 'style-10-multipage',
						'label'       => __( 'Multipage Style 2', 'text-domain' ),
					),
					array(
						'value'       => 'style-multipage',
						'label'       => __( 'Multipage Style 1', 'text-domain' ),
					),
					
					

				),
				'default'	=> 'yes'

			),
			array(
				'label'       => __('Shortcode to Start Multipage Anywhere'),
				'id'          => 'sbd_multi_category',
				'type'        => 'Textblock',
				'desc'        => __('[sbd-multipage-category] <br><br> Once you add the main multi page shortcode on a page of its own you can also add the following shortcode on home page or any other page to display multipage categories: [sbd-multipage-category]. <br> When a category is clicked, it will redirect to the main directory page where you added the main shortcode and show the Lists under a category.'),
				'section'     => 'multipage'
			),
			array(
				'label'       => __('Open All Link Details Pages in the Same Window'),
				'id'          => 'sbd_multi_same_window',
				'type'        => 'on-off',
				'desc'        => __('Turn on to link open in same window Or it will take the settings from individual list item.'),
				'std'         => 'on',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'multipage'
			),
			array(
				'label'       => __('Show Alexa Ranking'),
				'id'          => 'sbd_show_alexa_rank',
				'type'        => 'on-off',
				'desc'        => __('Show alexa rank in item landing page'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'multipage'
			),
			array(
				'label'       => __('Show Map in Multipage Mode'),
				'id'          => 'sbd_multipage_map',
				'type'        => 'on-off',
				'desc'        => __(''),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'multipage'
				
			),
			
			array(
				'id'          => 'sbd_multipage_map_position',
				'label'       => __( 'Select Map Position', 'text-domain' ),
				'desc'        => __( '', 'text-domain' ),
				'type'        => 'select',
				'section'     => 'multipage',
				'choices'     => array(
					array(
						'value'       => 'top',
						'label'       => __( 'Top', 'text-domain' ),
					),
					array(
						'value'       => 'right',
						'label'       => __( 'Right', 'text-domain' ),
					),
				),
				'default'	=> 'top'

			),
			array(
				'id'          => 'sbd_multipage_column',
				'label'       => __( 'Select Column', 'text-domain' ),
				'desc'        => __( '', 'text-domain' ),
				'type'        => 'select',
				'std'         => '3',
				'section'     => 'multipage',
				'choices'     => array(
					array(
						'value'       => '1',
						'label'       => __( 'Column 1', 'text-domain' ),
					),
					array(
						'value'       => '2',
						'label'       => __( 'Column 2', 'text-domain' ),
					),
					array(
						'value'       => '3',
						'label'       => __( 'Column 3', 'text-domain' ),
					),
					array(
						'value'       => '4',
						'label'       => __( 'Column 4', 'text-domain' ),
					),
				),
				'default'	=> '3'

			),
			
			array(
				'label'       => __('Enable Tag Filter'),
				'id'          => 'sbd_multi_tag',
				'type'        => 'on-off',
				'desc'        => __('Turn on to show tags in multipage mode.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'multipage'
			),
			array(
				'label'       => __('Enable Cluster on Google Map'),
				'id'          => 'sbd_multi_cluster',
				'type'        => 'on-off',
				'desc'        => __('Turn on to show map marker cluster in multipage mode.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'multipage'
			),
			
			array(
				'label'       => __('Enable Info(i) Icon'),
				'id'          => 'sbd_i_icon',
				'type'        => 'on-off',
				'desc'        => __('Turn on to show (i) icon in multipage mode.'),
				'std'         => 'on',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'multipage'
			),
			
			
			
			array(
		      'id'          => 'general_extra_field_settings',
		      'label'       => 'General Fields',
		      'type'        => 'tab',
		      'section'     => 'extrafield',
		    ),
			// Field 1 Settings area
			array(
				'label'       => __('Field 1 Settings'),
				'id'          => 'sbd-field-1-text-block',
				'type'        => 'Textblock',
				'section'     => 'extrafield',
			),
			array(
				'label'       => __('Enable Field'),
				'id'          => 'sbd_field_1_enable',
				'type'        => 'on-off',
				'desc'        => __('Click to enable/disable field 1.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'extrafield'
			),
			array(
			  'id'          => 'sbd_field_1_label',
			  'label'       => 'Label',
			  'desc'        => 'Label of field',
			  'std'         => '',
			  'type'        => 'text',
			  'section'     => 'extrafield',
			  'condition' => 'sbd_field_1_enable:is(on)',
			),
			array(
			  'id'          => 'sbd_field_1_type',
			  'label'       => 'Field Type',
			  'desc'        => '',
			 
			  'type'        => 'select',
			  'section'     => 'extrafield',
			  'class'       => '',
			  'condition' => 'sbd_field_1_enable:is(on)',
			  'choices'     => array( 
				  array(
					'value'       => 'text',
					'label'       => __( 'Normal Text', 'sbd' ),
				  ),
				  array(
					'value'       => 'phone',
					'label'       => __( 'Tap to Call', 'sbd' ),
				  ),
				   array(
					'value'       => 'link',
					'label'       => __( 'Link', 'sbd' ),
				  ),
				)
			),

			array(
			  'id'          => 'sbd_field_1_icon',
			  'label'       => 'Fontawesome Icon',
			  'desc'        => 'Please provide a fontawesome icon class EX: fa fa-phone',
			  'std'         => '',
			  'type'        => 'text',
			  'section'     => 'extrafield',
			  'class'       => 'sbd_show_fa',
			  'condition' => 'sbd_field_1_type:not(text)',
			),
			
			// Field 2 Settings Area
			array(
				'label'       => __('Field 2 Settings'),
				'id'          => 'sbd-field-2-text-block',
				'type'        => 'Textblock',
				'section'     => 'extrafield',
			),
			array(
				'label'       => __('Enable Field'),
				'id'          => 'sbd_field_2_enable',
				'type'        => 'on-off',
				'desc'        => __('Click to enable/disable field 2.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'extrafield'
			),
			array(
			  'id'          => 'sbd_field_2_label',
			  'label'       => 'Label',
			  'desc'        => 'Label of field',
			  'std'         => '',
			  'type'        => 'text',
			  'section'     => 'extrafield',
			  'condition' => 'sbd_field_2_enable:is(on)',
			),
			array(
			  'id'          => 'sbd_field_2_type',
			  'label'       => 'Field Type',
			  'desc'        => '',
			 
			  'type'        => 'select',
			  'section'     => 'extrafield',
			  'class'       => '',
			  'condition' => 'sbd_field_2_enable:is(on)',
			  'choices'     => array( 
				  array(
					'value'       => 'text',
					'label'       => __( 'Normal Text', 'sbd' ),
				  ),
				  array(
					'value'       => 'phone',
					'label'       => __( 'Tap to Call', 'sbd' ),
				  ),
				   array(
					'value'       => 'link',
					'label'       => __( 'Link', 'sbd' ),
				  ),
				)
			),
			
			array(
			  'id'          => 'sbd_field_2_icon',
			  'label'       => 'Fontawesome Icon',
			  'desc'        => 'Please provide a fontawesome icon class EX: fa fa-phone',
			  'std'         => '',
			  'type'        => 'text',
			  'section'     => 'extrafield',
			  'class'       => 'sbd_show_fa',
			  'condition' => 'sbd_field_2_type:not(text)',
			),
				
				
			//Field 3 Setting	
			array(
				'label'       => __('Field 3 Settings'),
				'id'          => 'sbd-field-3-text-block',
				'type'        => 'Textblock',
				'section'     => 'extrafield',
			),
			array(
				'label'       => __('Enable Field'),
				'id'          => 'sbd_field_3_enable',
				'type'        => 'on-off',
				'desc'        => __('Click to enable/disable field 3.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'extrafield'
			),
			array(
				  'id'          => 'sbd_field_3_label',
				  'label'       => 'Label',
				  'desc'        => 'Label of field',
				  'std'         => '',
				  'type'        => 'text',
				  'section'     => 'extrafield',
				  'condition' => 'sbd_field_3_enable:is(on)',
				),
			array(
			  'id'          => 'sbd_field_3_type',
			  'label'       => 'Field Type',
			  'desc'        => '',
			 
			  'type'        => 'select',
			  'section'     => 'extrafield',
			  'class'       => '',
			  'condition' => 'sbd_field_3_enable:is(on)',
			  'choices'     => array( 
				  array(
					'value'       => 'text',
					'label'       => __( 'Normal Text', 'sbd' ),
				  ),
				  array(
					'value'       => 'phone',
					'label'       => __( 'Tap to Call', 'sbd' ),
				  ),
				   array(
					'value'       => 'link',
					'label'       => __( 'Link', 'sbd' ),
				  ),
				)
			),
			
			array(
			  'id'          => 'sbd_field_3_icon',
			  'label'       => 'Fontawesome Icon',
			  'desc'        => 'Please provide a fontawesome icon class EX: fa fa-phone',
			  'std'         => '',
			  'type'        => 'text',
			  'section'     => 'extrafield',
			  'class'       => 'sbd_show_fa',
			  'condition' => 'sbd_field_3_type:not(text)',
			),
			//Field 4 Area
			array(
				'label'       => __('Field 4 Settings'),
				'id'          => 'sbd-field-4-text-block',
				'type'        => 'Textblock',
				'section'     => 'extrafield',
			),
			array(
				'label'       => __('Enable Field'),
				'id'          => 'sbd_field_4_enable',
				'type'        => 'on-off',
				'desc'        => __('Click to enable/disable field 4.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'extrafield'
			),
			array(
				  'id'          => 'sbd_field_4_label',
				  'label'       => 'Label',
				  'desc'        => 'Label of field',
				  'std'         => '',
				  'type'        => 'text',
				  'section'     => 'extrafield',
				  'condition' => 'sbd_field_4_enable:is(on)',
				),
			array(
			  'id'          => 'sbd_field_4_type',
			  'label'       => 'Field Type',
			  'desc'        => '',
			 
			  'type'        => 'select',
			  'section'     => 'extrafield',
			  'class'       => '',
			  'condition' => 'sbd_field_4_enable:is(on)',
			  'choices'     => array( 
				  array(
					'value'       => 'text',
					'label'       => __( 'Normal Text', 'sbd' ),
				  ),
				  array(
					'value'       => 'phone',
					'label'       => __( 'Tap to Call', 'sbd' ),
				  ),
				   array(
					'value'       => 'link',
					'label'       => __( 'Link', 'sbd' ),
				  ),
				)
			),
			
			array(
			  'id'          => 'sbd_field_4_icon',
			  'label'       => 'Fontawesome Icon',
			  'desc'        => 'Please provide a fontawesome icon class EX: fa fa-phone',
			  'std'         => '',
			  'type'        => 'text',
			  'section'     => 'extrafield',
			  'class'       => 'sbd_show_fa',
			  'condition' => 'sbd_field_4_type:not(text)',
			),
			//Field 5 Area
			array(
				'label'       => __('Field 5 Settings'),
				'id'          => 'sbd-field-5-text-block',
				'type'        => 'Textblock',
				'section'     => 'extrafield',
			),
			array(
				'label'       => __('Enable Field'),
				'id'          => 'sbd_field_5_enable',
				'type'        => 'on-off',
				'desc'        => __('Click to enable/disable field 5.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'extrafield'
			),
			array(
			  'id'          => 'sbd_field_5_label',
			  'label'       => 'Label',
			  'desc'        => 'Label of field',
			  'std'         => '',
			  'type'        => 'text',
			  'section'     => 'extrafield',
			  'condition' => 'sbd_field_5_enable:is(on)',
			),
			
			array(
			  'id'          => 'sbd_field_5_type',
			  'label'       => 'Field Type',
			  'desc'        => '',
			 
			  'type'        => 'select',
			  'section'     => 'extrafield',
			  'class'       => '',
			  'condition' => 'sbd_field_5_enable:is(on)',
			  'choices'     => array( 
				  array(
					'value'       => 'text',
					'label'       => __( 'Normal Text', 'sbd' ),
				  ),
				  array(
					'value'       => 'phone',
					'label'       => __( 'Tap to Call', 'sbd' ),
				  ),
				   array(
					'value'       => 'link',
					'label'       => __( 'Link', 'sbd' ),
				  ),
				)
			),
			
			array(
			  'id'          => 'sbd_field_5_icon',
			  'label'       => 'Fontawesome Icon',
			  'desc'        => 'Please provide a fontawesome icon class EX: fa fa-phone',
			  'std'         => '',
			  'type'        => 'text',
			  'section'     => 'extrafield',
			  'class'       => 'sbd_show_fa',
			  'condition' => 'sbd_field_5_type:not(text)',
			),


			//Multipage Extra Fields Settings
			array(
		      'id'          => 'multipage_extra_field_settings',
		      'label'       => 'Additional Multipage Fields',
		      'type'        => 'tab',
		      'section'     => 'extrafield',
		    ),
			// Field 1 Settings area
			array(
				'label'       => __('Field 1 Settings'),
				'id'          => 'multipage-sbd-field-1-text-block',
				'type'        => 'Textblock',
				'section'     => 'extrafield',
			),
			array(
				'label'       => __('Enable Field'),
				'id'          => 'multipage-sbd_field_1_enable',
				'type'        => 'on-off',
				'desc'        => __('Click to enable/disable field 1.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'extrafield'
			),
			array(
			  'id'          => 'multipage-sbd_field_1_label',
			  'label'       => 'Label',
			  'desc'        => 'Label of field',
			  'std'         => '',
			  'type'        => 'text',
			  'section'     => 'extrafield',
			  'condition' => 'multipage-sbd_field_1_enable:is(on)',
			),
			array(
			  'id'          => 'multipage-sbd_field_1_type',
			  'label'       => 'Field Type',
			  'desc'        => '',
			 
			  'type'        => 'select',
			  'section'     => 'extrafield',
			  'class'       => '',
			  'condition' => 'multipage-sbd_field_1_enable:is(on)',
			  'choices'     => array( 
				  array(
					'value'       => 'text',
					'label'       => __( 'Normal Text', 'sbd' ),
				  ),
				  array(
					'value'       => 'phone',
					'label'       => __( 'Tap to Call', 'sbd' ),
				  ),
				   array(
					'value'       => 'link',
					'label'       => __( 'Link', 'sbd' ),
				  ),
				)
			),

			array(
			  'id'          => 'multipage-sbd_field_1_icon',
			  'label'       => 'Fontawesome Icon',
			  'desc'        => 'Please provide a fontawesome icon class EX: fa fa-phone',
			  'std'         => '',
			  'type'        => 'text',
			  'section'     => 'extrafield',
			  'class'       => 'sbd_show_fa',
			  'condition' => 'multipage-sbd_field_1_type:not(text)',
			),
			
			// Field 2 Settings Area
			array(
				'label'       => __('Field 2 Settings'),
				'id'          => 'multipage-sbd-field-2-text-block',
				'type'        => 'Textblock',
				'section'     => 'extrafield',
			),
			array(
				'label'       => __('Enable Field'),
				'id'          => 'multipage-sbd_field_2_enable',
				'type'        => 'on-off',
				'desc'        => __('Click to enable/disable field 2.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'extrafield'
			),
			array(
			  'id'          => 'multipage-sbd_field_2_label',
			  'label'       => 'Label',
			  'desc'        => 'Label of field',
			  'std'         => '',
			  'type'        => 'text',
			  'section'     => 'extrafield',
			  'condition' => 'multipage-sbd_field_2_enable:is(on)',
			),
			array(
			  'id'          => 'multipage-sbd_field_2_type',
			  'label'       => 'Field Type',
			  'desc'        => '',
			 
			  'type'        => 'select',
			  'section'     => 'extrafield',
			  'class'       => '',
			  'condition' => 'multipage-sbd_field_2_enable:is(on)',
			  'choices'     => array( 
				  array(
					'value'       => 'text',
					'label'       => __( 'Normal Text', 'sbd' ),
				  ),
				  array(
					'value'       => 'phone',
					'label'       => __( 'Tap to Call', 'sbd' ),
				  ),
				   array(
					'value'       => 'link',
					'label'       => __( 'Link', 'sbd' ),
				  ),
				)
			),
			
			array(
			  'id'          => 'multipage-sbd_field_2_icon',
			  'label'       => 'Fontawesome Icon',
			  'desc'        => 'Please provide a fontawesome icon class EX: fa fa-phone',
			  'std'         => '',
			  'type'        => 'text',
			  'section'     => 'extrafield',
			  'class'       => 'sbd_show_fa',
			  'condition' => 'multipage-sbd_field_2_type:not(text)',
			),
				
				
			//Field 3 Setting	
			array(
				'label'       => __('Field 3 Settings'),
				'id'          => 'multipage-sbd-field-3-text-block',
				'type'        => 'Textblock',
				'section'     => 'extrafield',
			),
			array(
				'label'       => __('Enable Field'),
				'id'          => 'multipage-sbd_field_3_enable',
				'type'        => 'on-off',
				'desc'        => __('Click to enable/disable field 3.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'extrafield'
			),
			array(
				  'id'          => 'multipage-sbd_field_3_label',
				  'label'       => 'Label',
				  'desc'        => 'Label of field',
				  'std'         => '',
				  'type'        => 'text',
				  'section'     => 'extrafield',
				  'condition' => 'multipage-sbd_field_3_enable:is(on)',
				),
			array(
			  'id'          => 'multipage-sbd_field_3_type',
			  'label'       => 'Field Type',
			  'desc'        => '',
			 
			  'type'        => 'select',
			  'section'     => 'extrafield',
			  'class'       => '',
			  'condition' => 'multipage-sbd_field_3_enable:is(on)',
			  'choices'     => array( 
				  array(
					'value'       => 'text',
					'label'       => __( 'Normal Text', 'sbd' ),
				  ),
				  array(
					'value'       => 'phone',
					'label'       => __( 'Tap to Call', 'sbd' ),
				  ),
				   array(
					'value'       => 'link',
					'label'       => __( 'Link', 'sbd' ),
				  ),
				)
			),
			
			array(
			  'id'          => 'multipage-sbd_field_3_icon',
			  'label'       => 'Fontawesome Icon',
			  'desc'        => 'Please provide a fontawesome icon class EX: fa fa-phone',
			  'std'         => '',
			  'type'        => 'text',
			  'section'     => 'extrafield',
			  'class'       => 'sbd_show_fa',
			  'condition' => 'multipage-sbd_field_3_type:not(text)',
			),
			//Field 4 Area
			array(
				'label'       => __('Field 4 Settings'),
				'id'          => 'multipage-sbd-field-4-text-block',
				'type'        => 'Textblock',
				'section'     => 'extrafield',
			),
			array(
				'label'       => __('Enable Field'),
				'id'          => 'multipage-sbd_field_4_enable',
				'type'        => 'on-off',
				'desc'        => __('Click to enable/disable field 4.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'extrafield'
			),
			array(
				  'id'          => 'multipage-sbd_field_4_label',
				  'label'       => 'Label',
				  'desc'        => 'Label of field',
				  'std'         => '',
				  'type'        => 'text',
				  'section'     => 'extrafield',
				  'condition' => 'multipage-sbd_field_4_enable:is(on)',
				),
			array(
			  'id'          => 'multipage-sbd_field_4_type',
			  'label'       => 'Field Type',
			  'desc'        => '',
			 
			  'type'        => 'select',
			  'section'     => 'extrafield',
			  'class'       => '',
			  'condition' => 'multipage-sbd_field_4_enable:is(on)',
			  'choices'     => array( 
				  array(
					'value'       => 'text',
					'label'       => __( 'Normal Text', 'sbd' ),
				  ),
				  array(
					'value'       => 'phone',
					'label'       => __( 'Tap to Call', 'sbd' ),
				  ),
				   array(
					'value'       => 'link',
					'label'       => __( 'Link', 'sbd' ),
				  ),
				)
			),
			
			array(
			  'id'          => 'multipage-sbd_field_4_icon',
			  'label'       => 'Fontawesome Icon',
			  'desc'        => 'Please provide a fontawesome icon class EX: fa fa-phone',
			  'std'         => '',
			  'type'        => 'text',
			  'section'     => 'extrafield',
			  'class'       => 'sbd_show_fa',
			  'condition' => 'multipage-sbd_field_4_type:not(text)',
			),
			//Field 5 Area
			array(
				'label'       => __('Field 5 Settings'),
				'id'          => 'multipage-sbd-field-5-text-block',
				'type'        => 'Textblock',
				'section'     => 'extrafield',
			),
			array(
				'label'       => __('Enable Field'),
				'id'          => 'multipage-sbd_field_5_enable',
				'type'        => 'on-off',
				'desc'        => __('Click to enable/disable field 5.'),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'extrafield'
			),
			array(
			  'id'          => 'multipage-sbd_field_5_label',
			  'label'       => 'Label',
			  'desc'        => 'Label of field',
			  'std'         => '',
			  'type'        => 'text',
			  'section'     => 'extrafield',
			  'condition' => 'multipage-sbd_field_5_enable:is(on)',
			),
			
			array(
			  'id'          => 'multipage-sbd_field_5_type',
			  'label'       => 'Field Type',
			  'desc'        => '',
			 
			  'type'        => 'select',
			  'section'     => 'extrafield',
			  'class'       => '',
			  'condition' => 'multipage-sbd_field_5_enable:is(on)',
			  'choices'     => array( 
				  array(
					'value'       => 'text',
					'label'       => __( 'Normal Text', 'sbd' ),
				  ),
				  array(
					'value'       => 'phone',
					'label'       => __( 'Tap to Call', 'sbd' ),
				  ),
				   array(
					'value'       => 'link',
					'label'       => __( 'Link', 'sbd' ),
				  ),
				)
			),
			
			array(
			  'id'          => 'multipage-sbd_field_5_icon',
			  'label'       => 'Fontawesome Icon',
			  'desc'        => 'Please provide a fontawesome icon class EX: fa fa-phone',
			  'std'         => '',
			  'type'        => 'text',
			  'section'     => 'extrafield',
			  'class'       => 'sbd_show_fa',
			  'condition' => 'multipage-sbd_field_5_type:not(text)',
			),
			//End Multipage Extra Fields


			array(
				'label'       => __('Enable Claim Listing'),
				'id'          => 'sbd_enable_claim_listing',
				'type'        => 'on-off',
				'desc'        => __('Shortcode: [sbd_claim_listing] <br><span style="color:red;font-weight:bold"> Before enabling Claim Listing you must enable and configure Frontend Submission. <br>You have to create a page by using this Shortcode [sbd_claim_listing] where user can register & claim list item.</span><br><br> <div id="sld_page_check"></div> '),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'claim_listing'
			),
			array(
				'label'       => __('Show Claim Listing Button at Top'),
				'id'          => 'sbd_show_claim_listing_button',
				'type'        => 'on-off',
				'desc'        => __(''),
				'std'         => 'off',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'claim_listing'
			),
			array(
				'label'       => __('Auto Approve Claim Listing'),
				'id'          => 'sbd_auto_approve_claim',
				'type'        => 'on-off',
				'desc'        => __(''),
				'std'         => 'on',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'claim_listing'
			),
			
			array(
				'label'       => __('Dashboard'),
				'id'          => 'sbd_lan_dashboard',
				'type'        => 'text',
				'desc'        => __('Change the language for - Dashboard'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Add'),
				'id'          => 'sbd_lan_add',
				'type'        => 'text',
				'desc'        => __('Change the language for - Add'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Manage'),
				'id'          => 'sbd_lan_manage',
				'type'        => 'text',
				'desc'        => __('Change the language for - Manage'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Claim'),
				'id'          => 'sbd_lan_claim',
				'type'        => 'text',
				'desc'        => __('Change the language for - Claim'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Packages'),
				'id'          => 'sbd_lan_packages',
				'type'        => 'text',
				'desc'        => __('Change the language for - Packages'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Your Package #package_name will expire at #expire_date'),
				'id'          => 'sbd_lan_package_expiry_date_notification',
				'type'        => 'text',
				'desc'        => __('Change the language for - Your Package #package_name will expire at #expire_date <br /><span style="color:red;font-weight:bold">Do not replace #package_name and #expire_date</span>'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Your Package #package_name is already expired at #expire_date'),
				'id'          => 'sbd_lan_package_already_expire_notification',
				'type'        => 'text',
				'desc'        => __('Change the language for - Your Package #package_name is already expired at #expire_date <br /><span style="color:red;font-weight:bold">Do not replace #package_name and #expire_date</span>'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),

			array(
				'label'       => __('Hi'),
				'id'          => 'sbd_lan_hi',
				'type'        => 'text',
				'desc'        => __('Change the language for - Hi'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('None'),
				'id'          => 'sbd_lan_none',
				'type'        => 'text',
				'desc'        => __('Change the language for - None'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Add Listing'),
				'id'          => 'sbd_lan_add_link',
				'type'        => 'text',
				'desc'        => __('Change the language for - Add Listing button frontend'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Embed List'),
				'id'          => 'sbd_lan_share_list',
				'type'        => 'text',
				'desc'        => __('Change the language for - Embed List'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			
			array(
				'label'       => __('Live Search Items'),
				'id'          => 'sbd_lan_live_search',
				'type'        => 'text',
				'desc'        => __('Change the language for - Live Search Items'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Show All'),
				'id'          => 'sbd_lan_show_all',
				'type'        => 'text',
				'desc'        => __('Change the language for - Show All'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Visit Page'),
				'id'          => 'sbd_lan_visit_page',
				'type'        => 'text',
				'desc'        => __('Change the language for - Visit Page'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Related Items'),
				'id'          => 'sbd_lan_related_items',
				'type'        => 'text',
				'desc'        => __('Change the language for - Related Items'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Visit This Link'),
				'id'          => 'sbd_lan_visit_link',
				'type'        => 'text',
				'desc'        => __('Change the language for - Visit This Link'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Go to website'),
				'id'          => 'sbd_lan_go_to_website',
				'type'        => 'text',
				'desc'        => __('Change the language for - Go to website'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Open Popup'),
				'id'          => 'sbd_lan_open_popup',
				'type'        => 'text',
				'desc'        => __('Change the language for - Open Popup'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			
			array(
				'label'       => __('Distance Search'),
				'id'          => 'sbd_lan_distant_search',
				'type'        => 'text',
				'desc'        => __('Change the language for - Distance Search'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Already Have an Account?'),
				'id'          => 'sbd_lan_already_account',
				'type'        => 'text',
				'desc'        => __('Change the language for - Already Have an Account?'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('You have reached your free link submission limit.'),
				'id'          => 'sbd_lan_free_link',
				'type'        => 'text',
				'desc'        => __('Change the language for - You have reached your free link submission limit.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('City/Address/Zip code'),
				'id'          => 'sbd_lan_city',
				'type'        => 'text',
				'desc'        => __('Change the language for - City/Address/Zip code'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Current Location'),
				'id'          => 'sbd_lan_current_location',
				'type'        => 'text',
				'desc'        => __('Change the language for - Current Location'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Distance. Ex: 50'),
				'id'          => 'sbd_lan_distance_ex',
				'type'        => 'text',
				'desc'        => __('Change the language for - Distance. Ex: 50'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('KM'),
				'id'          => 'sbd_lan_km',
				'type'        => 'text',
				'desc'        => __('Change the language for - KM'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Miles'),
				'id'          => 'sbd_lan_miles',
				'type'        => 'text',
				'desc'        => __('Change the language for - Miles'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Find'),
				'id'          => 'sbd_lan_find',
				'type'        => 'text',
				'desc'        => __('Change the language for - Find'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Clear'),
				'id'          => 'sbd_lan_clear',
				'type'        => 'text',
				'desc'        => __('Change the language for - Clear'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Tags'),
				'id'          => 'sbd_lan_tags',
				'type'        => 'text',
				'desc'        => __('Change the language for - Tags'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('All'),
				'id'          => 'sbd_lan_all',
				'type'        => 'text',
				'desc'        => __('Change the language for - All'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Add Claim Listing'),
				'id'          => 'sbd_lan_add_claim_listing',
				'type'        => 'text',
				'desc'        => __('Change the language for - Add Claim Listing'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Select List Name'),
				'id'          => 'sbd_lan_list_name',
				'type'        => 'text',
				'desc'        => __('Change the language for - Select List Name'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Select Item Name'),
				'id'          => 'sbd_lan_item_name',
				'type'        => 'text',
				'desc'        => __('Change the language for - Select Item Name'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Submit'),
				'id'          => 'sbd_lan_submit',
				'type'        => 'text',
				'desc'        => __('Change the language for - Submit'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Claim Listing'),
				'id'          => 'sbd_lan_claim_listing',
				'type'        => 'text',
				'desc'        => __('Change the language for - Claim Listing'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Add Listing'),
				'id'          => 'sbd_lan_add_your_link',
				'type'        => 'text',
				'desc'        => __('Change the language for - Add Listing'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Free'),
				'id'          => 'sbd_lan_free',
				'type'        => 'text',
				'desc'        => __('Change the language for - Free'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Listing Edit Form'),
				'id'          => 'sbd_lan_link_edit_form',
				'type'        => 'text',
				'desc'        => __('Change the language for - Listing Edit Form'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Listing Page'),
				'id'          => 'sbd_lan_link_list_page',
				'type'        => 'text',
				'desc'        => __('Change the language for - Listing Page'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Package Details'),
				'id'          => 'sbd_lan_package_details',
				'type'        => 'text',
				'desc'        => __('Change the language for - Package Details'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Package List'),
				'id'          => 'sbd_lan_package_list',
				'type'        => 'text',
				'desc'        => __('Change the language for - Package List'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('You have no package purchased!'),
				'id'          => 'sbd_lan_no_package_purchased',
				'type'        => 'text',
				'desc'        => __('Change the language for - You have no package purchased!'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Your link has been updated sucessfully.'),
				'id'          => 'sbd_lan_package_updated_success_notification',
				'type'        => 'text',
				'desc'        => __('Change the language for - Your link has been updated sucessfully.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Your link has been updated! Waiting for approval.'),
				'id'          => 'sbd_lan_package_approval_waiting_notification',
				'type'        => 'text',
				'desc'        => __('Change the language for - Your link has been updated! Waiting for approval.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Are you sure to delete this Record?'),
				'id'          => 'sbd_lan_package_dlt_confirm_text',
				'type'        => 'text',
				'desc'        => __('Change the language for - Are you sure to delete this Record?'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Unlimited'),
				'id'          => 'sbd_lan_unlimited',
				'type'        => 'text',
				'desc'        => __('Change the language for - Unlimited'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Please provide location'),
				'id'          => 'sbd_lan_distance_location',
				'type'        => 'text',
				'desc'        => __('Change the language for - Please provide location'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Please provide Distance value'),
				'id'          => 'sbd_lan_distance_value',
				'type'        => 'text',
				'desc'        => __('Change the language for - Please provide Distance value'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('No result found!'),
				'id'          => 'sbd_lan_no_result',
				'type'        => 'text',
				'desc'        => __('Change the language for - No result found!'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Title'),
				'id'          => 'sbd_lan_title',
				'type'        => 'text',
				'desc'        => __('Change the language for - Title'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Description'),
				'id'          => 'sbd_lan_subtitle',
				'type'        => 'text',
				'desc'        => __('Change the language for - Description'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Duration'),
				'id'          => 'sbd_lan_duration',
				'type'        => 'text',
				'desc'        => __('Change the language for - Duration'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Price'),
				'id'          => 'sbd_lan_price',
				'type'        => 'text',
				'desc'        => __('Change the language for - Price'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Currency'),
				'id'          => 'sbd_lan_currency',
				'type'        => 'text',
				'desc'        => __('Change the language for - Currency'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Package name'),
				'id'          => 'sbd_lan_package_name',
				'type'        => 'text',
				'desc'        => __('Change the language for - Package name'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Purchase Date'),
				'id'          => 'sbd_lan_purchase_date',
				'type'        => 'text',
				'desc'        => __('Change the language for - Purchase Date'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Expire Date'),
				'id'          => 'sbd_lan_expire_date',
				'type'        => 'text',
				'desc'        => __('Change the language for - Expire Date'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Cost'),
				'id'          => 'sbd_lan_cost',
				'type'        => 'text',
				'desc'        => __('Change the language for - Cost'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Status'),
				'id'          => 'sbd_lan_status',
				'type'        => 'text',
				'desc'        => __('Change the language for - Status'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Action'),
				'id'          => 'sbd_lan_action',
				'type'        => 'text',
				'desc'        => __('Change the language for - Action'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Listing Title'),
				'id'          => 'sbd_lan_listing_title',
				'type'        => 'text',
				'desc'        => __('Change the language for - Listing Title (From add listing form)'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Listing Subtitle'),
				'id'          => 'sbd_lan_listing_subtitle',
				'type'        => 'text',
				'desc'        => __('Change the language for - Listing Subtitle (From add listing form)'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Listing Long Description'),
				'id'          => 'sbd_lan_listing_long',
				'type'        => 'text',
				'desc'        => __('Change the language for - Listing Long Description'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Category'),
				'id'          => 'sbd_lan_category',
				'type'        => 'text',
				'desc'        => __('Change the language for - Category (From add listing form)'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Select List'),
				'id'          => 'sbd_lan_select_list',
				'type'        => 'text',
				'desc'        => __('Change the language for - Select List (From add listing form)'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			
			array(
				'label'       => __('Email Address'),
				'id'          => 'sbd_lan_email_address',
				'type'        => 'text',
				'desc'        => __('Change the language for Email Address'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Address'),
				'id'          => 'sbd_lan_adress',
				'type'        => 'text',
				'desc'        => __('Change the language for Address'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Locale/Designation'),
				'id'          => 'sbd_lan_locale_designation',
				'type'        => 'text',
				'desc'        => __('Change the language for Locale/Designation'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Business Hour'),
				'id'          => 'sbd_lan_business_hour',
				'type'        => 'text',
				'desc'        => __('Change the language for Business Hour'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Phone'),
				'id'          => 'sbd_lan_phone',
				'type'        => 'text',
				'desc'        => __('Change the language for Phone'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Email'),
				'id'          => 'sbd_lan_email',
				'type'        => 'text',
				'desc'        => __('Change the language for Phone'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Social'),
				'id'          => 'sbd_lan_social',
				'type'        => 'text',
				'desc'        => __('Change the language for Social'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Share'),
				'id'          => 'sbd_lan_share',
				'type'        => 'text',
				'desc'        => __('Change the language for Share'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Code'),
				'id'          => 'sbd_lan_code',
				'type'        => 'text',
				'desc'        => __('Change the language for Name'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Main Phone Number (For call)'),
				'id'          => 'sbd_lan_main_phone',
				'type'        => 'text',
				'desc'        => __('Change the language for Main Phone Number (For call)'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Short Address'),
				'id'          => 'sbd_lan_short_address',
				'type'        => 'text',
				'desc'        => __('Change the language for Short Address'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Generator info from Link'),
				'id'          => 'sbd_lan_generate_info_link',
				'type'        => 'text',
				'desc'        => __('Change the language for Generator info from Link'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Generate'),
				'id'          => 'sbd_lan_generate_button_text',
				'type'        => 'text',
				'desc'        => __('Change the language for - Generate'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Link (Include http:// or https://)'),
				'id'          => 'sbd_lan_link_include',
				'type'        => 'text',
				'desc'        => __('Change the language for Link (Include http:// or https://)'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Latitude'),
				'id'          => 'sbd_lan_latitude',
				'type'        => 'text',
				'desc'        => __('Change the language for Latitude'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Longitude'),
				'id'          => 'sbd_lan_longitude',
				'type'        => 'text',
				'desc'        => __('Change the language for Longitude'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Image'),
				'id'          => 'sbd_lan_image',
				'type'        => 'text',
				'desc'        => __('Change the language for - Image'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Listings Image'),
				'id'          => 'sbd_lan_listing_image',
				'type'        => 'text',
				'desc'        => __('Change the language for Listings Image'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			
			array(
				'label'       => __('Maximum image size 1MB. Resolution 300x300.'),
				'id'          => 'sbd_lan_max_resolu',
				'type'        => 'text',
				'desc'        => __('Change the language for Maximum image size 1MB. Resolution 300x300.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('No Follow'),
				'id'          => 'sbd_lan_no_follow',
				'type'        => 'text',
				'desc'        => __('Change the language for No Follow'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			
			array(
				'label'       => __('Welcome to Dashboard'),
				'id'          => 'sbd_lan_wc_dashboard',
				'type'        => 'text',
				'desc'        => __('Change the language for - Welcome to Dashboard'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Select Package'),
				'id'          => 'sbd_lan_select_package',
				'type'        => 'text',
				'desc'        => __('Change the language for - Select Package (from add listing page)'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('All List'),
				'id'          => 'sbd_lan_all_list',
				'type'        => 'text',
				'desc'        => __('Change the language for - All List (from Category dropdown)'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Total Listings'),
				'id'          => 'sbd_lan_total_listing',
				'type'        => 'text',
				'desc'        => __('Change the language for - Total Listings (from Dashboard)'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Submited Listings'),
				'id'          => 'sbd_lan_submited_listing',
				'type'        => 'text',
				'desc'        => __('Change the language for - Submited Listings (from Dashboard)'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Remaining Listings'),
				'id'          => 'sbd_lan_remaining_listing',
				'type'        => 'text',
				'desc'        => __('Change the language for - Remaining Listings (from Dashboard)'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('List'),
				'id'          => 'sbd_lan_list',
				'type'        => 'text',
				'desc'        => __('Change the language for - List (from Dashboard manage tab and Multipage List)'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Lists'),
				'id'          => 'sbd_lan_lists',
				'type'        => 'text',
				'desc'        => __('Change the language for - Lists (from Multipage List)'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Item'),
				'id'          => 'sbd_lan_item',
				'type'        => 'text',
				'desc'        => __('Change the language for - Item (from Multipage List)'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Items'),
				'id'          => 'sbd_lan_items',
				'type'        => 'text',
				'desc'        => __('Change the language for - Items (from Multipage List)'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Stripe'),
				'id'          => 'sbd_lan_stripe',
				'type'        => 'text',
				'desc'        => __('Change the language for - Stripe'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Paypal'),
				'id'          => 'sbd_lan_paypal',
				'type'        => 'text',
				'desc'        => __('Change the language for - Paypal'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Available Packages'),
				'id'          => 'sbd_lan_paid_pkg',
				'type'        => 'text',
				'desc'        => __('Change the language for - Available Packages'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Free Listing'),
				'id'          => 'sbd_lan_free_listing',
				'type'        => 'text',
				'desc'        => __('Change the language for - Free Listing'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Listing'),
				'id'          => 'sbd_lan_listing',
				'type'        => 'text',
				'desc'        => __('Change the language for - Listing'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Listing for'),
				'id'          => 'sbd_lan_listing_for',
				'type'        => 'text',
				'desc'        => __('Change the language for - Listing for'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Update Profile Info'),
				'id'          => 'sbd_lan_update_profile_info',
				'type'        => 'text',
				'desc'        => __('Change the language for - Update Profile Info'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Username or Email'),
				'id'          => 'sbd_lan_username',
				'type'        => 'text',
				'desc'        => __('Change the language for - Username or Email'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('LOGIN'),
				'id'          => 'sbd_lan_login_title',
				'type'        => 'text',
				'desc'        => __('Change the language for - LOGIN'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('LOG IN'),
				'id'          => 'sbd_lan_login_with_space',
				'type'        => 'text',
				'desc'        => __('Change the language for - LOG IN'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Log out'),
				'id'          => 'sbd_lan_log_out',
				'type'        => 'text',
				'desc'        => __('Change the language for - Log out'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Register'),
				'id'          => 'sbd_lan_register',
				'type'        => 'text',
				'desc'        => __('Change the language for - Register'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Create Account'),
				'id'          => 'sbd_lan_create_account',
				'type'        => 'text',
				'desc'        => __('Change the language for - Create Account'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Forgot your password?'),
				'id'          => 'sbd_lan_forgot_password',
				'type'        => 'text',
				'desc'        => __('Change the language for - Forgot your password?'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('RESET PASSWORD'),
				'id'          => 'sbd_lan_reset_password',
				'type'        => 'text',
				'desc'        => __('Change the language for - RESET PASSWORD'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Restore Password'),
				'id'          => 'sbd_lan_restore_password',
				'type'        => 'text',
				'desc'        => __('Change the language for - Restore Password'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('You will receive an email with the activation link'),
				'id'          => 'sbd_lan_mail_sent_success',
				'type'        => 'text',
				'desc'        => __('Change the language for - You will receive an email with the activation link'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('You may receive an email with the activation link'),
				'id'          => 'sbd_lan_mail_sent_ok',
				'type'        => 'text',
				'desc'        => __('Change the language for - You may receive an email with the activation link'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('An error has ocurred sending the email'),
				'id'          => 'sbd_lan_mail_sent_faild',
				'type'        => 'text',
				'desc'        => __('Change the language for - An error has ocurred sending the email'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Username too short. At least 4 characters is required'),
				'id'          => 'sbd_lan_username_too_short',
				'type'        => 'text',
				'desc'        => __('Change the language for - Username too short. At least 4 characters is required'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Password length must be greater than 5'),
				'id'          => 'sbd_lan_pwd_length_too_short',
				'type'        => 'text',
				'desc'        => __('Change the language for - Password length must be greater than 5'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Sorry, that username already exists!'),
				'id'          => 'sbd_lan_username_already_exist',
				'type'        => 'text',
				'desc'        => __('Change the language for - Sorry, that username already exists!'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Sorry, the username you entered is not valid'),
				'id'          => 'sbd_lan_username_not_valid',
				'type'        => 'text',
				'desc'        => __('Change the language for - Sorry, the username you entered is not valid'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Email is not valid'),
				'id'          => 'sbd_lan_email_not_valid',
				'type'        => 'text',
				'desc'        => __('Change the language for - Email is not valid'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Email Already in use'),
				'id'          => 'sbd_lan_email_already_in_use',
				'type'        => 'text',
				'desc'        => __('Change the language for - Email Already in use'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Captcha does not match!'),
				'id'          => 'sbd_lan_captcha_not_match',
				'type'        => 'text',
				'desc'        => __('Change the language for - Captcha does not match!'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Required form field is missing'),
				'id'          => 'sbd_lan_required_field_missing',
				'type'        => 'text',
				'desc'        => __('Change the language for - Required form field is missing'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Username is not valid'),
				'id'          => 'sbd_lan_user_not_valid',
				'type'        => 'text',
				'desc'        => __('Change the language for - Username is not valid'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Full Name'),
				'id'          => 'sbd_lan_full_name',
				'type'        => 'text',
				'desc'        => __('Change the language for - Full Name'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('First'),
				'id'          => 'sbd_lan_first',
				'type'        => 'text',
				'desc'        => __('Change the language for - First'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Last'),
				'id'          => 'sbd_lan_last',
				'type'        => 'text',
				'desc'        => __('Change the language for - Last'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('First Name'),
				'id'          => 'sbd_lan_first_name',
				'type'        => 'text',
				'desc'        => __('Change the language for - First Name'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Last Name'),
				'id'          => 'sbd_lan_last_name',
				'type'        => 'text',
				'desc'        => __('Change the language for - Last Name'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Username'),
				'id'          => 'sbd_lan_only_username',
				'type'        => 'text',
				'desc'        => __('Change the language for - Username'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Password'),
				'id'          => 'sbd_lan_only_password',
				'type'        => 'text',
				'desc'        => __('Change the language for - Password'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Get Direction'),
				'id'          => 'sbd_lan_get_direction',
				'type'        => 'text',
				'desc'        => __('Change the language for - Get Direction'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Full Address (For google maps)'),
				'id'          => 'sbd_full_address_map',
				'type'        => 'text',
				'desc'        => __('Change the language for - Full Address (For google maps)'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Linkedin/instagram Page'),
				'id'          => 'sbd_lan_linkedin',
				'type'        => 'text',
				'desc'        => __('Change the language for - Linkedin/instagram Page'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Yelp Page'),
				'id'          => 'sbd_lan_yelp',
				'type'        => 'text',
				'desc'        => __('Change the language for - Yelp Page'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Facebook Page'),
				'id'          => 'sbd_lan_facebook',
				'type'        => 'text',
				'desc'        => __('Change the language for - Facebook Page'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Twitter Page'),
				'id'          => 'sbd_lan_twitter',
				'type'        => 'text',
				'desc'        => __('Change the language for - Twitter Page'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('View Details'),
				'id'          => 'sbd_lan_view_details',
				'type'        => 'text',
				'desc'        => __('Change the language for - View Details'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('I accept the Terms of Service and have read the Services Privacy Policy'),
				'id'          => 'sbd_lan_gdrp',
				'type'        => 'text',
				'desc'        => __('Change the language for - I accept the Terms of Service and have read the Services Privacy Policy.<br> Do not forget to change the # with appropriate links to pages where you have the terms.'),
				'std'         => 'I accept the <a href="#">Terms of Service</a> and have read the <a href="#">Services Privacy Policy</a>',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('You have to login in to view this content.'),
				'id'          => 'sbd_lan_login_to_view_content',
				'type'        => 'text',
				'desc'        => __('Change the language for - You have to login in to view this content.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Click Here to log in.'),
				'id'          => 'sbd_lan_click_to_login',
				'type'        => 'text',
				'desc'        => __('Change the language for - Click Here to log in.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Registration Successful!'),
				'id'          => 'sbd_lan_registration_successful',
				'type'        => 'text',
				'desc'        => __('Change the language for - Registration Successful!'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Go to login page'),
				'id'          => 'sbd_lan_go_to_login',
				'type'        => 'text',
				'desc'        => __('Change the language for - Go to login page'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('User Information submitted! Waiting for approval.'),
				'id'          => 'sbd_lan_user_info_submit_wait_approval',
				'type'        => 'text',
				'desc'        => __('Change the language for - User Information submitted! Waiting for approval.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Successfully logged in!'),
				'id'          => 'sbd_lan_successfully_logged_in',
				'type'        => 'text',
				'desc'        => __('Change the language for - Successfully logged in!'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Wrong credentials or you are not allowed to logged in.'),
				'id'          => 'sbd_lan_failed_logged_in',
				'type'        => 'text',
				'desc'        => __('Change the language for - Wrong credentials or you are not allowed to logged in.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Successfully logged out!'),
				'id'          => 'sbd_lan_logout',
				'type'        => 'text',
				'desc'        => __('Change the language for - Successfully logged out!'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Something went wrong while activating your user'),
				'id'          => 'sbd_lan_failed_activate_user',
				'type'        => 'text',
				'desc'        => __('Change the language for - Something went wrong while activating your user'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('You are not allowed to access this area.'),
				'id'          => 'sbd_lan_disabled_user_area',
				'type'        => 'text',
				'desc'        => __('Change the language for - You are not allowed to access this area.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Successfully activated'),
				'id'          => 'sbd_lan_success_activation_user',
				'type'        => 'text',
				'desc'        => __('Change the language for - Successfully activated'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('A link has been edited to your list #blog_name. Please go to Simple Business Directory > Manage User Items to view this link.'),
				'id'          => 'sbd_lan_edit_user_list_email',
				'type'        => 'text',
				'desc'        => __('Change the language for - A link has been edited to your list #blog_name. Please go to Simple Business Directory > Manage User Items to view this link. (for list edit email) <br /><span style="color:red;font-weight:bold">Do not replace #blog_name</span>'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Item Edited'),
				'id'          => 'sbd_lan_item_edited',
				'type'        => 'text',
				'desc'        => __('Change the language for - Item Edited'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Item Edited By'),
				'id'          => 'sbd_lan_item_edited_by',
				'type'        => 'text',
				'desc'        => __('Change the language for - Item Edited By'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('You need to login to contact with the Listing Owner.'),
				'id'          => 'sbd_lan_login_to_email_listing_owner',
				'type'        => 'text',
				'desc'        => __('Change the language for - You need to login to contact with the Listing Owner.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('All'),
				'id'          => 'sbd_lan_all_category_tab_text',
				'type'        => 'text',
				'desc'        => __('Change the language for - All Button Text for Category Tab'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('I agree with the website\'s Privacy Policies.'),
				'id'          => 'qcld_google_check_lang',
				'type'        => 'text',
				'desc'        => __('Change the language for - I agree with the website\'s Privacy Policies. Remember to update the Link to your actual Privacy Policy page '),
				'std'         => 'I agree with the website\'s <a href="'.site_url().'">Privacy Policies.</a>',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Please load the map'),
				'id'          => 'qcld_google_load_map_lang',
				'type'        => 'text',
				'desc'        => __('Change the language for - Please load the map'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'language'
			),
			array(
				'label'       => __('Name'),
				'id'          => 'sbd_lan_name',
				'type'        => 'text',
				'desc'        => __('Change the language for Name'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Subject'),
				'id'          => 'sbd_lan_subject',
				'type'        => 'text',
				'desc'        => __('Change the language for Subject'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Message'),
				'id'          => 'sbd_lan_message',
				'type'        => 'text',
				'desc'        => __('Change the language for Message'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Email has been sent. Thank you!'),
				'id'          => 'sbd_lan_email_sent',
				'type'        => 'text',
				'desc'        => __('Change the language for - Email has been sent. Thank you!'),
				'std'         => 'Email has been sent. Thank you!',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Unable to send email. Please contact your server administrator.'),
				'id'          => 'sbd_lan_email_notsent',
				'type'        => 'text',
				'desc'        => __('Change the language for - Unable to send email. Please contact your server administrator.'),
				'std'         => 'Unable to send email. Please contact your server administrator.',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Contact to Listing Owner'),
				'id'          => 'sbd_lan_email_listing_owner',
				'type'        => 'text',
				'desc'        => __('Change the language for - Contact to Listing Owner.'),
				'std'         => 'Contact to Listing Owner',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Click to Send Email'),
				'id'          => 'sbd_lan_email_send_click',
				'type'        => 'text',
				'desc'        => __('Change the language for - Click to Send Email.'),
				'std'         => 'Click to Send Email',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('User already logged in'),
				'id'          => 'sbd_lan_user_already_logged_in',
				'type'        => 'text',
				'desc'        => __('Change the language for - User already logged in'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('New user registration on your blog'),
				'id'          => 'sbd_lan_new_user_registration_email',
				'type'        => 'text',
				'desc'        => __('Change the language for - New user registration on your blog (for new user registration email)'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Use the following link to restore your password:'),
				'id'          => 'sbd_lan_restore_user_password_email',
				'type'        => 'text',
				'desc'        => __('Change the language for - Use the following link to restore your password: (for restore user password email)'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('New User Registration'),
				'id'          => 'sbd_lan_new_user_registration',
				'type'        => 'text',
				'desc'        => __('Change the language for - New User Registration'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Your username and password'),
				'id'          => 'sbd_lan_new_username_and_password',
				'type'        => 'text',
				'desc'        => __('Change the language for - Your username and password'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Thanks for your payment. You can now add your listing below. I wish you succes with your advertising.'),
				'id'          => 'sbd_lan_payment_thanks',
				'type'        => 'text',
				'desc'        => __('Change the language for - Thanks for your payment. You can now add your listing below. I wish you succes with your advertising.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('SBD Payment'),
				'id'          => 'sbd_lan_sbd_payments',
				'type'        => 'text',
				'desc'        => __('Change the language for - SBD Payment'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('A link has been edited to your list!'),
				'id'          => 'sbd_lan_a_link_has_been_edited',
				'type'        => 'text',
				'desc'        => __('Change the language for - A link has been edited to your list!'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('A item has been claimed from your list!'),
				'id'          => 'sbd_lan_a_link_has_been_claimed',
				'type'        => 'text',
				'desc'        => __('Change the language for - A item has been claimed from your list!'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Your claim listing item has been approved!'),
				'id'          => 'sbd_lan_list_has_been_approved',
				'type'        => 'text',
				'desc'        => __('Change the language for - Your claim listing item has been approved!'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Hi,'),
				'id'          => 'sbd_lan_email_hi',
				'type'        => 'text',
				'desc'        => __('Change the language for - Hi,'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('A New Package order has been placed to your site'),
				'id'          => 'sbd_lan_email_a_new_package_placed',
				'type'        => 'text',
				'desc'        => __('Change the language for - A New Package order has been placed to your site'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Please go to Simple Business Directory > Your Orders to view this order details.'),
				'id'          => 'sbd_lan_email_a_sbd_order_view',
				'type'        => 'text',
				'desc'        => __('Change the language for - Please go to Simple Business Directory > Your Orders to view this order details.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Order placed by'),
				'id'          => 'sbd_lan_email_order_placed_by',
				'type'        => 'text',
				'desc'        => __('Change the language for - Order placed by'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('New Package order has been placed by'),
				'id'          => 'sbd_lan_email_new_pak_placed_by',
				'type'        => 'text',
				'desc'        => __('Change the language for - New Package order has been placed by'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Welcome to'),
				'id'          => 'sbd_lan_email_welcome_to',
				'type'        => 'text',
				'desc'        => __('Change the language for - Welcome to'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Your claim listing item'),
				'id'          => 'sbd_lan_email_claim_listing_item',
				'type'        => 'text',
				'desc'        => __('Change the language for - Your claim listing item'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('has been approved.'),
				'id'          => 'sbd_lan_email_has_been_approved',
				'type'        => 'text',
				'desc'        => __('Change the language for - has been approved.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('You can find the item in'),
				'id'          => 'sbd_lan_email_find_the_item_in',
				'type'        => 'text',
				'desc'        => __('Change the language for - You can find the item in'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('dashboard > your links'),
				'id'          => 'sbd_lan_email_dashboard_your_links',
				'type'        => 'text',
				'desc'        => __('Change the language for - dashboard > your links'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('tab.'),
				'id'          => 'sbd_lan_email_dashboard_tab',
				'type'        => 'text',
				'desc'        => __('Change the language for - tab.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('A item has been claimed from your list'),
				'id'          => 'sbd_lan_list_has_been_claimed',
				'type'        => 'text',
				'desc'        => __('Change the language for - A item has been claimed from your list'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Please go to Simple Business Directory > Claimed Listing to view this claimed item.'),
				'id'          => 'sbd_lan_list_has_been_claimed_sbd',
				'type'        => 'text',
				'desc'        => __('Change the language for - Please go to Simple Business Directory > Claimed Listing to view this claimed item.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Item Claimed'),
				'id'          => 'sbd_lan_item_claimed',
				'type'        => 'text',
				'desc'        => __('Change the language for - Item Claimed'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Item Claimed By'),
				'id'          => 'sbd_lan_item_claimed_by',
				'type'        => 'text',
				'desc'        => __('Change the language for - Item Claimed By'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('A New item has been submitted to your list '),
				'id'          => 'sbd_lan_email_a_new_item_submitted',
				'type'        => 'text',
				'desc'        => __('Change the language for - A New item has been submitted to your list'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Please go to Simple Business Directory > Manage User Items to view this item.'),
				'id'          => 'sbd_lan_email_a_new_item_submitted',
				'type'        => 'text',
				'desc'        => __('Change the language for - Please go to Simple Business Directory > Manage User Items to view this item.'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Item Name'),
				'id'          => 'sbd_lan_email_item_name',
				'type'        => 'text',
				'desc'        => __('Change the language for - Item Name'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Main Phone Number'),
				'id'          => 'sbd_lan_email_item_phone_number',
				'type'        => 'text',
				'desc'        => __('Change the language for - Main Phone Number'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Email'),
				'id'          => 'sbd_lan_email_item_email',
				'type'        => 'text',
				'desc'        => __('Change the language for - Email'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Item Submitted By'),
				'id'          => 'sbd_lan_email_item_submitted_by',
				'type'        => 'text',
				'desc'        => __('Change the language for - Item Submitted By'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Here\'s how to log in'),
				'id'          => 'sbd_lan_email_here_how_to_login',
				'type'        => 'text',
				'desc'        => __('Change the language for - Here\'s how to log in'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),
			array(
				'label'       => __('Your package has been expired!'),
				'id'          => 'sbd_lan_email_package_expired',
				'type'        => 'text',
				'desc'        => __('Change the language for - Your package has been expired!'),
				'std'         => '',
				'rows'        => '',
				'post_type'   => '',
				'taxonomy'    => '',
				'class'       => '',
				'section'     => 'email_language'
			),

			array(
				'id' => 'sbd_list_item_fields_show_only_loggedin_users',
				'label' => esc_html__( 'Show only for logged in users.', 'unidash' ),
				'desc' => esc_html__( 'Set Selected Fields Visiblity Access only for logged in users.', 'qc-pd' ),
				'type' => 'checkbox',
				'section' => 'field_access',
				'choices' => array( 
					array(
						'value'       => 'title',
						'label'       => __( 'Title', 'text-domain' ),
					),
					array(
						'value'       => 'subtitle',
						'label'       => __( 'Sub Title', 'text-domain' ),
					),
					array(
						'value'       => 'main_phone',
						'label'       => __( 'Main Phone Number', 'text-domain' ),
					),

					array(
						'value'       => 'locale_designation',
						'label'       => __( 'Locale/Designation', 'text-domain' ),
					),
					array(
						'value'       => 'bookmark',
						'label'       => __( 'BookMark', 'text-domain' ),
					),
					array(
						'value'       => 'upvote',
						'label'       => __( 'Upvote', 'text-domain' ),
					),
				),
				// 'operator' => 'and',
			),
		
	    )
    );
    // Register the pages
    ot_register_settings( 
      array(
        array( 
          'id'              => 'pd_option_tree',
          'pages'           => array(
            array(
              'id'              => 'pd_options',
              'parent_slug'     => 'edit.php?post_type=pd',
              'page_title'      => 'Settings',
              'menu_title'      => 'Settings',
              'capability'      => 'edit_theme_options',
              'menu_slug'       => 'pd-options-page',
              'icon_url'        => null,
              'position'        => null,
              'updated_message' => 'SBD Options Updated.',
              'reset_message'   => 'SBD Options Reset.',
              'button_text'     => 'Save Changes',
              'show_buttons'    => true,
              'screen_icon'     => 'options-general',
              'contextual_help' => null,
			  
			    'sections'        => $sbd_settings_option_sections,
						  
			    'settings'        => $sbd_settings_option
            )
          )
        )
      )
    );

  }

}

?>